﻿using System;
using System.Collections.Generic;

namespace InternshipSystem.Core
{
    public class Internship
    {
        public int Id { get; set; }
        public Intern Intern { get; set; }
        public Edition Edition { get; set; }
        public Report Report { get; set; }
        public BranchOffice BranchOffice { get; set; }
        public InternshipType Type { get; set; }
        public DateTime StartDate { get; set; }
        public DateTime EndDate { get; set; }
        public bool IsAccepted { get; set; }
        public DeanAcceptance DeanAcceptance { get; set; }
        public Insurance Insurance { get; set; }
        public int InternshipLengthInWeeks { get; set; }
        public float Grade { get; set; }
        public List<InternshipProgramSubject> Program { get; set; }
        public Mentor Mentor { get; set; }
    }
}