using System.Threading.Tasks;
using InternshipSystem.Repository;
using Microsoft.AspNetCore.Mvc;

namespace Internship.Api.Controller
{
    [ApiController]
    [Route("[controller]")]
    class AdminController : ControllerBase
    {
        public AdminController(DatabaseFiller fillerService)
        {
            FillerService = fillerService;
        }

        public DatabaseFiller FillerService { get; }

        [HttpPost]
        public async Task<IActionResult> FillCompaniesAsync()
        {
            await FillerService.FillCompany();
            return Ok();
        }
    }
}